#!/bin/bash
#MENU=preparation de l'horus pour les appli nationales (lancer en premier)
if [ -z "`lsof -i | grep gds-db`" ]; then
        {
        echo "Interbase n'est pas lance, modifiez votre .eol avec gen_config pour corriger ce point."
        interbase=1
        }
    else
        {
        echo "Interbase est bien lance."
        interbase=0
    }
fi

if [ -f "/root/interbase.sh" ]; then
        echo "fichier /root/interbase.sh present"
    else
        echo "Fichier pour les licences interbase non present(/root/interbase.sh), il vous faudra les appliquer plus tard."
fi

if [ -z "`ls /data/minedu | grep -i win*`" ] ; then
    {
    echo "l'arborescence gfc et presto n'existe pas."
    repertoiremen=0
    }
    else
        {
        echo "l'arborescence gfc et presto existe deja dans le /data/minedu."
        repertoiremen=1
        }
fi
if [ -z "`getent group gfc`" ] ; then
    {
    echo "le groupe gfc n'existe pas."
    groupgfc=0
}
    else
        {
        echo "le groupe gfc existe deja."
        groupgfc=1
        }
fi
if [ -z "`getent group presto`" ] ; then
    {
    echo "le groupe presto n'existe pas."
    grouppresto=0
    }
    else
        {
        echo "le groupe presto existe deja."
        grouppresto=1
        }
fi
if [ -z "`getent group administrateurs`" ] ; then
    {
    echo "le groupe administrateurs n'existe pas."
    groupadm=0
    }
        else
            {
            echo "le groupe administrateurs existe deja."
            groupadm=1
            }
fi
if [ -z "`getent passwd install`" ]; then
    {
    echo "l'utilisateur install n'existe pas."
    userinstall=0
    }
    else
        {
        echo "l'utilisateur install existe deja."
        userinstall=1
        }
fi
if [ -z "`getfacl -p /data/minedu/wintmp/ | grep -i administrateurs`" ]; then
    {
    echo "les droits ne sont pas appliques."
    droitsadm=0
    }
    else
        {
        echo "droits deja appliques."
        droitsadm=1
        }
fi

if [ $(( $repertoiremen + $groupadm + $userinstall + $grouppresto + $groupgfc + $droitsadm )) -ne 0 ] ; then
    echo -e "\nATTENTION : Vous n'etes pas dans le cadre d'une primo installation, des elements sont deja presents."
    echo -e "Pour eviter tout probleme, ce script ne fera rien hormis la reinitialisation du mot de passe mysql.\n"
else
    {
#        echo "deplacement des anciens scripts du MEN dans /usr/share/minedu/scripts/old"
#        mkdir /usr/share/minedu/scripts/old
#        mv /usr/share/minedu/scripts/gfcwin_acl_v6.sh /usr/share/minedu/scripts/old/
#        mv /usr/share/minedu/scripts/presto_acl_v3.sh /usr/share/minedu/scripts/old/
#        mv /usr/share/minedu/scripts/script_gfcMysql_v3.sh /usr/share/minedu/scripts/old/
        echo "creation de l'arborescence pour GFC et PRESTO"
        dossier=/data/minedu
        mkdir -p $dossier/winappli/{men_inst/param/echecs,men_ctrl,gfcwin,presto}
        mkdir -p $dossier/windata/{men_inst,men_svg,echanges}
        mkdir -p $dossier/wintmp/{men_inst,men_svg}
        touch /data/minedu/winappli/men_inst/param/logfile.txt

        echo "Ajout du groupe gfc"
        /usr/share/eole/backend/ajout_groupe.py gfc

        echo "Ajout du groupe presto"
        /usr/share/eole/backend/ajout_groupe.py presto

        echo "Ajout du groupe administrateurs"
        /usr/share/eole/backend/ajout_groupe.py administrateurs

        echo "Ajout de l'utilisateur install"
        /usr/share/eole/backend/ajout_utilisateur.py -u "install;administrateurs,minedu;U;Minedu12345!" -a

        echo "application des droits du groupe administrateurs, necessaires aux applications nationales"
        /usr/bin/setfacl -Rm g:administrateurs:rwx,mask::rwx,default:group:administrateurs:rwx /data/minedu/wintmp
        /usr/bin/setfacl -Rm g:administrateurs:rwx,mask::rwx,default:group:administrateurs:rwx /data/minedu/winappli
        /usr/bin/setfacl -Rm g:administrateurs:rwx,mask::rwx,default:group:administrateurs:rwx /data/minedu/windata
        echo "application des droits necessaires a GFC et PRESTO"
        /usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:presto:r-x,group:gfc:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:mask::rwx,default:other::r-- $dossier/winappli
        /usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:mask::rwx,default:other::r-- $dossier/winappli/gfcwin
        /usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:presto:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:presto:r-x,default:mask::rwx,default:other::r-- $dossier/winappli/presto
        /usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,group:presto:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:group:presto:r-x,default:mask::rwx,default:other::r-- $dossier/winappli/men_inst
        /usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:r-x,group:presto:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:group:presto:r-x,default:mask::rwx,default:other::r-- $dossier/winappli/men_inst/param
        /usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:rwx,group:presto:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:rwx,default:group:presto:rwx,default:mask::rwx,default:other::r-- $dossier/winappli/men_inst/param/echecs
        /usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:rwx,group:presto:rwx,mask::rwx,other::r-- $dossier/winappli/men_inst/param/logfile.txt
        /usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,group:presto:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:group:presto:r-x,default:mask::rwx,default:other::r-- $dossier/winappli/men_ctrl
        /usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r--,group:presto:r--,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:mask::rwx,default:other::r-- $dossier/windata
        /usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:r-x,group:presto:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:group:presto:r-x,default:mask::rwx,default:other::r-- $( find $dossier/windata/* | grep -iv "/selene" | grep -iv "/echanges")
        /usr/bin/setfacl -Rm user::rwx,group::r-x,group:minedu:r--,group:gfc:rwx,group:presto:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:rwx,default:group:presto:rwx,default:mask::rwx,default:other::r-- $dossier/wintmp
        echo "ajout des licences interbase :"
        /bin/bash /root/interbase.sh
    }
fi
echo "changement temporaire du mot de passe root (mysql) permettant l'installation de gfc"
#horus 2.3
if [ -f /usr/share/eole/mysql_pwd.py ]
then
    /usr/share/eole/mysql_pwd.py masterkey
#horus 2.4
else
    /usr/share/eole/sbin/mysql_pwd.py masterkey
fi
mysql -uroot -pmasterkey -e "GRANT ALL PRIVILEGES ON *.* TO 'root'@'%' IDENTIFIED BY 'masterkey' WITH GRANT OPTION;"
mysql -uroot -pmasterkey -e "flush PRIVILEGES;"

