#!/bin/bash
#MENU=Post installation pour GFCWIN
echo "GFCWIN : application des droits version 6 du 27/11/2007"

if [ -z "`ldapsearch -x -b 'ou=education,o=gouv,c=fr' '(objectclass=posixGroup)' | grep 'cn=gfc,ou=local,ou=groupe'`" ] ; then 
	echo "Ajout du groupe gfc"	
	/usr/share/eole/backend/ajout_groupe.py gfc
fi

echo "permissions  du dossier winappli"
/usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:mask::rwx,default:other::r-- /data/minedu/winappli

echo "permissions du dossier et des sous-dossiers winappli/gfcwin"
for fic in `find /data/minedu/winappli/gfcwin`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-- $fic

	fi
done

echo "Création du répertoire /data/minedu/winappli/men_inst/param/echecs si inexistant"
if [ ! -e "/data/minedu/winappli/men_inst/param/echecs" ]; 
then
	mkdir /data/minedu/winappli/men_inst/param/echecs
fi

echo "permissions du dossier et des sous-dossiers winappli/men_inst"
for fic in `find /data/minedu/winappli/men_inst`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-- $fic

	fi
done

echo "permissions du dossier et des sous-dossiers winappli/men_inst/param"
for fic in `find /data/minedu/winappli/men_inst/param`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ;  then
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-- $fic
	fi
done


echo "permissions du dossier /winappli/men_inst/param/echecs/"
/usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:rwx,default:mask::rwx,default:other::r-- /data/minedu/winappli/men_inst/param/echecs

echo "permissions des sous-dossiers winappli/men_inst/param/echecs"
for fic in `find /data/minedu/winappli/men_inst/param/echecs/*`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ;  then
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r-- $fic
	fi
done

echo "permissions du fichier winappli/men_inst/param/logfile.txt"
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r-- /data/minedu/winappli/men_inst/param/logfile.txt

echo "permissions du dossier et des sous-dossiers winappli/men_ctrl"
for fic in `find /data/minedu/winappli/men_ctrl`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-- $fic

	fi
done

echo "permissions du dossier windata"
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r--,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:mask::rwx,default:other::r-- /data/minedu/windata


echo "permissions des sous-dossiers windata"
for fic in `find /data/minedu/windata/* | grep -iv "/selene" | grep -iv "/echanges"`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:r-x,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ;  then
/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:r-x,mask::rwx,other::r-- $fic
	fi
done

echo "permissions du dossier wintmp"

/usr/bin/setfacl -m user::rwx,group::r-x,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r-x,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:rwx,default:mask::rwx,default:other::r-- /data/minedu/wintmp

echo "permissions des sous-dossiers wintmp"
for fic in `find /data/minedu/wintmp/* | grep -iv "/selene"`
do
	if [ -d $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r--,default:user::rwx,default:group::r--,default:group:minedu:r--,default:group:gfc:rwx,default:mask::rwx,default:other::r-- $fic

	elif [ -f $fic ] ; then

/usr/bin/setfacl -m user::rwx,group::r--,group:minedu:r--,group:gfc:rwx,mask::rwx,other::r-- $fic

	fi
done

echo "GFC : application des droits terminée"

